PHP 手冊
前一頁 |  | 下一頁

# SoapClient->__getLastRequest()

SoapClient->__getLastRequest() -- Returns last SOAP request

## Description

class SoapClient {
string __getLastRequest ( void )
}

> 注: This method works only if the SoapClient object was created with the trace option.

## Return Values

The last SOAP request.

## 範例

範例 1. SoapClient->__getLastRequest() example
`<?php $client = SoapClient("some.wsdl", array('trace' => 1)); $result = $client->SomeFunction(); echo "REQUEST:\n" . $client->__getLastRequest() . "\n"; ?>`

## 參考

SoapClient->__construct()
SoapClient->__getLastRequestHeaders()
SoapClient->__getLastResponse()
SoapClient->__getLastResponseHeaders()

前一頁 | 內容 | 下一頁
SoapClient->__getFunctions() | 上一層 | SoapClient->__getLastRequestHeaders()